> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get batch threshold crossing count report

> Get batch threshold crossing count report



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/report/getBatchThresholdCrossingCountReport
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/report/getBatchThresholdCrossingCountReport:
    post:
      tags:
        - Report Webservice
      summary: Get batch threshold crossing count report
      description: Get batch threshold crossing count report
      operationId: getBatchThresholdCrossingCountReport
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Report_GetBatchThresholdCrossingCountReportWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Report_GetThresholdCrossingCountReportWSResponse
          description: OK
components:
  schemas:
    Report_GetBatchThresholdCrossingCountReportWSRequest:
      type: object
      description: Request object for getting batch threshold crossing count reports.
      properties:
        bucketSize:
          $ref: '#/components/schemas/ReportBucketSizeEnum'
        crossingObject:
          $ref: '#/components/schemas/CrossingObjectEnum'
        dedupe:
          type: boolean
          description: Whether to deduplicate the results
          example: true
          nullable: true
        deviceUuids:
          type: array
          description: UUID of devices to get threshold crossing count report for
          items:
            type: string
            format: DeviceFacetUuid
            description: RUUID with optional appended facet information
            example: AAAAAAAAAAAAAAAAAAAAAA.v0
            nullable: true
          nullable: true
        endTimeMs:
          type: integer
          format: int64
          description: End time in milliseconds
          example: 1640998800000
          nullable: true
        startTimeMs:
          type: integer
          format: int64
          description: Start time in milliseconds
          example: 1640995200000
          nullable: true
        timeZone:
          type: string
          description: String of timezone for bucketing
          example: America/Los_Angeles
          nullable: true
    Report_GetThresholdCrossingCountReportWSResponse:
      type: object
      description: Response object for getting threshold crossing count reports.
      properties:
        crossingCounts:
          type: array
          description: List of crossing counts
          items:
            $ref: '#/components/schemas/CrossingCountsType'
          nullable: true
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        warningMsg:
          type: string
          nullable: true
    ReportBucketSizeEnum:
      type: string
      description: Size of the report buckets
      enum:
        - QUARTER_HOUR
        - HOUR
        - DAY
        - WEEK
        - MONTH
    CrossingObjectEnum:
      type: string
      enum:
        - HUMAN
        - VEHICLE
        - FACE
        - LPR
        - POSE
        - CLIP_EMBED
        - UNKNOWN
    CrossingCountsType:
      type: object
      description: List of crossing counts
      properties:
        egressCount:
          type: integer
          format: int32
          nullable: true
        ingressCount:
          type: integer
          format: int32
          nullable: true
        timestampMs:
          type: integer
          format: int64
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````